//////////////////////////////./
// MODAL SIGN UP LOGIN

.modal {
  // display: flex;
  position: fixed; /* Stay in place */
  z-index: 1000000; /* Sit on top */
  left: 0;
  top: 0px;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgba(0, 0, 0, 0.6);

  justify-content: center;
  align-items: center;

  h1,
  p {
    text-align: center;
  }

  p {
    font-size: 140%;
  }

  label {
    letter-spacing: 1px;
    color: grey;
  }

  .errorContainer {
    display: none;
    background-color: #1f0e0ee3;
    padding: 5px;
    margin: 20px 0 0;
    border: 2px dashed darkred;
    color: #fff;
  }

  .term {
    font-size: 100%;
  }

  #spanLogin,
  #spanSignup {
    cursor: pointer;
    text-decoration: underline;
  }

  &__content {
    min-width: 350px;
    width: 30%;
    background-color: #111;
    border-radius: 10px;
    padding: 30px 40px;

    // display: flex;
  }

  &__container {
    margin-bottom: 30px;

    label {
      width: 100%;
      padding: 20px 0 5px;
      margin: 5px 0 22px 0;
      display: block;
      margin: auto;
      border: none;
    }

    input {
      width: 100%;
      padding: 15px;
      margin: 5px 0 22px 0;
      display: block;
      margin: auto;
      border: none;
      background: #f1f1f1;
      border-radius: 5px;
    }
  }

  input[type="checkbox"] {
    padding-top: 10px;
    font-size: 100px;
  }

  #id01Submit,
  .submitBtn {
    display: block;
    // margin: 300px auto;
    width: 100%;
    padding: 10px;
    background-color: var(--color-orange-1);
    border: none;
    margin: 10px 0;

    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    color: #000;
    font-weight: 600;
  }

  &__checkmark {
    // display: block;
    display: none;
    position: relative;
    padding: 10px 20px;
    margin-bottom: -5px;
    margin-top: -30px;

    cursor: pointer;
    user-select: none;

    /* Hide the browser's default checkbox */
    input {
      position: absolute;
      opacity: 0;
      cursor: pointer;
      height: 0;
      width: 0;
    }

    /* Create a custom checkbox */
    .checkmark {
      position: absolute;
      top: 10px;
      left: 0;
      height: 15px;
      width: 15px;
      border-radius: 3px;
      background-color: #eee;
    }

    /* On mouse-over, add a grey background color */
    &:hover input ~ .checkmark {
      background-color: #ccc;
    }

    /* When the checkbox is checked, add a blue background */
    input:checked ~ .checkmark {
      background-color: var(--color-orange-1);
    }

    /* Create the checkmark/indicator (hidden when not checked) */
    .checkmark:after {
      content: "";
      position: absolute;
      display: none;
    }

    /* Show the checkmark when checked */
    input:checked ~ .checkmark:after {
      display: block;
    }

    /* Style the checkmark/indicator */
    .checkmark:after {
      left: 5px;
      top: 1px;
      width: 5px;
      height: 10px;
      border: solid #000;
      border-width: 0 3px 3px 0;
      -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
      transform: rotate(45deg);
    }
  }
}
